<?xml version="1.0" encoding="utf-8"?>
<!--
    Copyright 2018 The Android Open Source Project

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

         http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
-->

<PreferenceScreen
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:settings="http://schemas.android.com/apk/res-auto"
    android:title="@string/location_settings_title"
    android:key="@string/psk_location_settings">
    <Preference
        android:key="@string/pk_location_access_fragment"
        android:fragment="com.android.car.settings.location.LocationAccessFragment"
        android:title="@string/location_access_settings_title"
        android:summary="@string/location_access_settings_summary"
        settings:controller="com.android.car.settings.location.LocationAccessPreferenceController"/>
    <com.android.car.settings.common.ColoredSwitchPreference
        android:key="@string/pk_location_state_switch"
        android:title="@string/location_toggle_title"
        android:summary="@string/location_toggle_summary"
        style="@style/ColoredSwitchPreferenceStyle"
        settings:controller="com.android.car.settings.location.LocationStateSwitchOuterPreferenceController"
        settings:searchable="false"/>
    <Preference
        android:key="@string/pk_location_app_permissions"
        android:title="@string/location_settings_app_permissions_title"
        android:summary="@string/location_settings_app_permissions_summary"
        settings:controller="com.android.car.settings.common.DefaultRestrictionsPreferenceController">
        <intent android:action="android.intent.action.MANAGE_PERMISSION_APPS">
            <extra android:name="android.intent.extra.PERMISSION_NAME"
                   android:value="android.permission-group.LOCATION"/>
        </intent>
    </Preference>
    <com.android.car.settings.common.DividerPreference
        android:key="@string/pk_location_divider"
        settings:controller="com.android.car.settings.common.DefaultRestrictionsPreferenceController"
    />
    <PreferenceCategory
        android:key="@string/pk_location_recent_accesses_category"
        android:title="@string/location_recently_accessed"
        settings:controller="com.android.car.settings.location.LocationRecentAccessesPreferenceController">
        <com.android.car.settings.common.DividerPreference
            android:order="999"/>
    </PreferenceCategory>
    <PreferenceCategory
        android:key="@string/pk_location_services"
        android:title="@string/location_settings_services_title"
        settings:controller="com.android.car.settings.location.LocationServicesPreferenceController"/>

    <com.android.car.ui.preference.CarUiFooterPreference
        android:key="@string/pk_location_access_disclaimer"
        android:summary="@string/location_access_disclaimer_summary"
        android:selectable="false"
        settings:controller="com.android.car.settings.location.LocationAccessDisclaimerPreferenceController"/>
</PreferenceScreen>
